#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <stdbool.h>
#include <stdint.h>
#include "device/at9s_pro.h"
#include "component/ahrs.h"
int8_t HeightEstimation_Init(float freq);
int8_t HeightEstimation_GetHeight(float *heightout, float *velocityout, AHRS_Accl_t accl, AHRS_Quaternion_t eulr);
#ifdef __cplusplus
}
#endif


